AODT not able to download

Hi,

I am trying to download AODT but seems failing. I am following the installation Installation — Aerial Omniverse Digital Twin

Seems like format issue which I am not able to figure out. Any help would be appreciated.

ubuntu@verb-workspace:~$ sudo apt-get install -y jq unzip

export NGC_CLI_API_KEY=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
AUTH_URL=“https://authn.nvidia.com/token?service=ngc&scope=group/ngc:esee5uzbruax&group/ngc:esee5uzbruax/

TOKEN=$(curl -s -u “$oauthtoken”:“$NGC_CLI_API_KEY” -H “Accept:application/json” “$AUTH_URL” | jq -r ‘.token’)

versionTag=“1.2.0”
downloadedZip=“$HOME/aodt_1.2.0.zip”

curl -L “https://api.ngc.nvidia.com/v2/org/esee5uzbruax/resources/aodt-installer/versions/$versionTag/files/aodt_1.2.0.zip” -H “Authorization: Bearer $TOKEN” -H “Content-Type: application/json” -o $downloadedZip

Unzip the downloaded file

unzip -o $downloadedZip || jq -r . $downloadedZip
Reading package lists… Done
Building dependency tree… Done
Reading state information… Done
jq is already the newest version (1.6-2.1ubuntu3).
unzip is already the newest version (6.0-26ubuntu3.2).
0 upgraded, 0 newly installed, 0 to remove and 93 not upgraded.
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 119 100 119 0 0 117 0 0:00:01 0:00:01 --:–:-- 117
Archive: /home/ubuntu/aodt_1.2.0.zip
End-of-central-directory signature not found. Either this file is not
a zipfile, or it constitutes one disk of a multi-part archive. In the
latter case the central directory and zipfile comment will be found on
the last disk(s) of this archive.
unzip: cannot find zipfile directory in one of /home/ubuntu/aodt_1.2.0.zip or
/home/ubuntu/aodt_1.2.0.zip.zip, and cannot find /home/ubuntu/aodt_1.2.0.zip.ZIP, period.
{
“requestStatus”: {
“statusCode”: “UNAUTHORIZED”,
“statusDescription”: “Not Authenticated”,
“requestId”: “ab05af28-10322702”
}
}
ubuntu@verb-workspace:~$ cat /etc/os-release
PRETTY_NAME=“Ubuntu 22.04.3 LTS”
NAME=“Ubuntu”
VERSION_ID=“22.04”
VERSION=“22.04.3 LTS (Jammy Jellyfish)”
VERSION_CODENAME=jammy
ID=ubuntu
ID_LIKE=debian
HOME_URL=“https://www.ubuntu.com/
SUPPORT_URL=“https://help.ubuntu.com/
BUG_REPORT_URL=“Bugs : Ubuntu
PRIVACY_POLICY_URL=“https://www.ubuntu.com/legal/terms-and-policies/privacy-policy
UBUNTU_CODENAME=jammy
ubuntu@verb-workspace:~$ export NGC_CLI_API_KEY=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
AUTH_URL=“https://authn.nvidia.com/token?service=ngc&scope=group/ngc:esee5uzbruax&group/ngc:esee5uzbruax/

TOKEN=$(curl -s -u “$oauthtoken”:“$NGC_CLI_API_KEY” -H “Accept:application/json” “$AUTH_URL” | jq -r ‘.token’)

versionTag=“1.2.0”
downloadedZip=“$HOME/aodt_1.2.0.zip”
ubuntu@verb-workspace:~$ curl -L “https://api.ngc.nvidia.com/v2/org/esee5uzbruax/resources/aodt-installer/versions/$versionTag/files/aodt_1.2.0.zip” -H “Authorization: Bearer $TOKEN” -H “Content-Type: application/json” -o $downloadedZip
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 118 100 118 0 0 146 0 --:–:-- --:–:-- --:–:-- 146
ubuntu@verb-workspace:~$ curl -L “https://api.ngc.nvidia.com/v2/org/esee5uzbruax/resources/aodt-installer/versions/$versionTag/files/aodt_1.2.0.zip” -H “Authorization: Bearer $TOKEN” -H “Content-Type: application/json” -o $downloadedZip
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 118 100 118 0 0 80 0 0:00:01 0:00:01 --:–:-- 80
ubuntu@verb-workspace:~$ ls
aodt_1.2.0.zip verb-workspace
ubuntu@verb-workspace:~$ unzip -o $downloadedZip || jq -r . $downloadedZip
Archive: /home/ubuntu/aodt_1.2.0.zip
End-of-central-directory signature not found. Either this file is not
a zipfile, or it constitutes one disk of a multi-part archive. In the
latter case the central directory and zipfile comment will be found on
the last disk(s) of this archive.
unzip: cannot find zipfile directory in one of /home/ubuntu/aodt_1.2.0.zip or
/home/ubuntu/aodt_1.2.0.zip.zip, and cannot find /home/ubuntu/aodt_1.2.0.zip.ZIP, period.
{
“requestStatus”: {
“statusCode”: “UNAUTHORIZED”,
“statusDescription”: “Not Authenticated”,
“requestId”: “803b70bd-8839729”
}
}}
ubuntu@verb-workspace:~$ curl -L “https://api.ngc.nvidia.com/v2/org/esee5uzbruax/resources/aodt-installer/versions/$versionTag/files/aodt_bundle.zip” -H “Authorization: Bearer $TOKEN” -H “Content-Type: application/json” -o $downloadedZip
curl: (3) URL using bad/illegal format or missing URL
curl: (6) Could not resolve host: Bearer
curl: (3) Failed to convert ” to ACE; could not convert string to UTF-8
curl: (6) Could not resolve host: application
ubuntu@verb-workspace:~$

@haseem

  1. Please check if a token is generated (echo $TOKEN)
  2. If not, then make sure the NGC key is correct.
  3. Regenerate the NGC API key (make sure you are NOT using a personal key)

I’m having the same issue, and NVIDIA officially requires the use of a Personal Key. Why does it say “make sure you are not using a personal key”?

The text is as follows:
Again, more information on NGC_CLI_API_KEY can be found here: NGC - User’s Guide. Note that the key used should be the “Personal Key” and is tied to the organization it was created in, so create the key while logged into the aerial-ov-digital-twin organization. The legacy key is being deprecated.

URL: Installation — Aerial Omniverse Digital Twin

Hi @frogg3b0.ee13

The legacy keys are being deprecated and also the method of using tokens has changed since then. Please share the error message and the step you see the issue occurs.